/*
 * Licensed Materials - Property of IBM Corp.
 * IBM UrbanCode Release
 * (c) Copyright IBM Corporation 2015. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by
 * GSA ADP Schedule Contract with IBM Corp.
 */
import com.urbancode.air.AirPluginTool
import com.urbancode.air.plugin.hp.alm.rest.ALMRestHelper
import com.urbancode.air.plugin.hp.alm.rest.ALMRestException


def apTool = new AirPluginTool(this.args[0], this.args[1])
def props = apTool.getStepProperties()

ALMRestHelper helper = new ALMRestHelper(props)

try {
    helper.pingServer()
}
catch (ALMRestException ex) {
    println("Could not successfully ping server:\n" + ex)
    System.exit(1)
}

System.exit(0)